<?php


      //verifica se uma sangria esta no remoto
      $numer = VerificarCofreSQL($conexao,$conta[0]);

      //se nao encontrou no remoto
      if ($numer != $conta[0]){
       
      //procurando se tem a descricao para baixar de sangria que nao sao despesas
      $baixaBanco = $Mysql->buscarRecorrenciaDescricaoBanco($conexao,$conta[2]);
      
      if($baixaBanco == 1){

        //fazer a baixa no sistema remoto
        //$retorno = $localData->FinalizarCofreRemotoSqlServer($contas[0],$conexao);

        $query = "INSERT INTO finalizar_cofre (numeroSQL) VALUES ('$conta[0]');" ;
        mysqli_query($conexao, $query);

      }

      //sagria para deposito
      $baixaAutomatica = $Mysql->buscarRecorrenciaDescricao($conexao,$conta[2]);

      //se eu tiver o id da baixa automatica e se nao tive baixado ainda
      if(isset($baixaAutomatica)){
      //baixa no softshop
      cadastrarSangria($conexao,$baixaAutomatica,$conta[0]);
      }
    }
